Reactivate and restart an automation
POST
/api/v3/automations/{automationUniqueId}/actions/reactivate-and-restart
const url = 'https://api.tryletterhead.com/api/v3/automations/example/actions/reactivate-and-restart';const form = new FormData();form.append('api', 'true');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.tryletterhead.com/api/v3/automations/example/actions/reactivate-and-restart \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form api=trueThis endpoint restarts the specified automation, in the event that as part of editorial — someone didn’t republish a change — the automation disabled itself. Yep - this is a pretty specific use-case. The unpublished template will be published and then subsequently available to future automation use - and then the automation itself will be re-enabled.
Our v3 endpoints require a company-level API key.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” automationUniqueId
required
string
The automation’s unique identifier.
Request Body required
Section titled “Request Body required ” Media type multipart/form-data
object
api
required
When set to true, this endpoint will accept authorization with your API Key.
string
Example
trueResponses
Section titled “ Responses ”202 - Reactivated and restarted
Media type application/json
object
items
string
message
string
total
integer
Example
{ "items": null, "message": "Automation reactivated and restarted successfully", "total": 0}Still can’t find what you need? Contact support.